package drawing

// This document is Licensed under Creative Commons CC0.
// To the extent possible under law, the author(s) have dedicated all copyright and related and neighboring rights
// to this document to the public domain worldwide.
// This document is distributed without any warranty.
// You should have received a copy of the CC0 Public Domain Dedication along with this document.
// If not, see https://creativecommons.org/publicdomain/zero/1.0/legalcode.

// This is a deterministic and good enough way to font smooting.
var pseudo = []uint32{2596996162, 4039455774, 2854263694, 1879968118, 1823804162, 2949882636, 281908850, 672245080, 416480912, 1292406600, 2212821389, 3494557023, 920256325, 1634910179, 1366049456, 2013866549, 1215622422, 1258862891, 2916646474, 938678213, 872680990, 1549930933, 2451023057, 3704372516, 1258916094, 1275959894, 3232276575, 887265776, 3716585580, 2992386031, 2249791083, 121560817, 680014774, 2608133663, 4188630858, 341250713, 2554683474, 253921263, 2972222970, 1295030053, 744172826, 2324006181, 2337130389, 1196181127, 1817424866, 2278848295, 1088948157, 1211528648, 3387032319, 1553942706, 3781903914, 1276087442, 3841254378, 418564398, 4195826001, 319077410, 954725776, 2925209077, 1037299406, 1337978710, 4006544902, 3186217021, 3440505210, 3136320313, 785656533, 1839779657, 3852551122, 2931974405, 4204469567, 3960871492, 390143126, 2118028752, 3981378005, 4101459436, 1494450894, 2967130188, 3053323154, 2421414926, 2789535992, 2369812840, 3246237246, 1734321906, 561142274, 4234686267, 3849758482, 1383340119, 3097306067, 2768277286, 367307783, 2875804005, 2674597757, 1587818672, 1017145093, 2299018214, 804215881, 1025813007, 2697661104, 544399686, 1208304411, 1762323197}

func monteCarlo(n int, seed *int) int {
	if n == 0 {
		return 0
	}
	*seed = (*seed + 1) % len(pseudo)
	return int(pseudo[*seed]) % n
}
